#### Previous topic

scipy.special.btdtria

#### Next topic

scipy.special.fdtr

# scipy.special.btdtrib

`scipy.special.``btdtrib`(a, p, x) = <ufunc 'btdtrib'>

  Inverse of `btdtr` with respect to b.

  This is the inverse of the beta cumulative distribution function, `btdtr`, considered as a function of b, returning the value of b for which btdtr(a, b, x) = p, or

  \[p = \int_0^x \frac{\Gamma(a + b)}{\Gamma(a)\Gamma(b)} t^{a-1} (1-t)^{b-1}\,dt\]

  Parameters:

  a : array_like

  > Shape parameter (a > 0).

  p : array_like

  > Cumulative probability, in [0, 1].

  x : array_like

  > The quantile, in [0, 1].

  Returns:

  b : ndarray

  > The value of the shape parameter b such that btdtr(a, b, x) = p.

  See also

  `btdtr`
    Cumulative density function of the beta distribution.
  `btdtri`
    Inverse with respect to x.
  `btdtria`
    Inverse with respect to a.

  Notes

  Wrapper for the CDFLIB [R361] Fortran routine cdfbet.

  The cumulative distribution function p is computed using a routine by DiDinato and Morris [R362]. Computation of b involves a seach for a value that produces the desired value of p. The search relies on the monotinicity of p with b.

  References

  [R361] | (1, 2) Barry Brown, James Lovato, and Kathy Russell, CDFLIB: Library of Fortran Routines for Cumulative Distribution Functions, Inverses, and Other Parameters.

  [R362] | (1, 2) DiDinato, A. R. and Morris, A. H., Algorithm 708: Significant Digit Computation of the Incomplete Beta Function Ratios. ACM Trans. Math. Softw. 18 (1993), 360-373.